# 72. Fråga: Hämta rutnätsdata som GeoJSON eller GeoTIFF

Förfrågan för att hämta rutnätsdata från dataset som "FieldSatelliteImage", "TopographyMap", "SoilDataset", "YieldDataset", "AsAppliedDataset", "VectorAnalysisMap" som `GEOJSON` med punkter eller `GEOTIFF`.&#x20;

{% hint style="danger" %}
Rekommenderas att endast hämta ett enda dataset med `sourceDataUrl` per förfrågan.&#x20;
{% endhint %}

`GEOTIFF` och `GEOJSON` är tillgängliga som `format`.

{% hint style="danger" %}
`sourceDataUrl` länken är åtkomlig endast under **60 sek.**
{% endhint %}

{% code overflow="wrap" lineNumbers="true" %}

```graphql
query GetRawVectorDataFromSatelliteImage {
  getFarms (farmUuids: ["<placeholder_of_farm_uuid>"]){
    uuid
    namn
    fields (fieldUuids: ["<placeholder_of_field_uuid>"]) {
      uuid
      namn
      satelliteImages(satelliteImageUuids: ["<placeholder_of_satelliteimage_uuid>"]) {
        uuid
        sourceDataUrl(format: GEOTIFF)
      }
    }
  }
}
```

{% endcode %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.geopard.tech/geopard-tutorials/swe/api-dokumentation/oversikt-over-geopard-api-anrop/72.-fraga-hamta-rutnatsdata-som-geojson-eller-geotiff.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
